package com.palmnest.dao.notice;

import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.AppNoticeModel;

public interface AppNoticeDao extends GenericDao<AppNoticeModel, Integer> {

	public Page getDataList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

	public Page getNewDataList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

	public AppNoticeModel getDataById(int id) throws Exception;

	public Integer getTotal(String orgIds);

	public List<AppNoticeModel> getByType(Integer noticeType, String positionType, String orgIds);

	Integer getMaxSortNum();
}
